<?php
session_start();
require_once ("../../config/Cado.php");
require_once ("cProducto.php");
$oProducto = new cProducto();
require_once("../formatos/formato.php");
if($_POST['action']=="insertar")
{
	$pro_est = '1';
	$pre_nom = '--';
	$pre_est = '1';
	$pro_nom = '';
	$cat_id = '1';
	$mar_id = '';
	$pro_id = '';
	$pre_id = '1';
	$mone_id = '1';
	$emp_id = '1';
	$mone_id_alter = '2';
	$randes = '15';
	$ranhas = '30';
	$pro_obs='';
	$probon='';
	
	$pro_fecven = date('d-m-Y');
	$pro_prevenf = 0;
	$pro_preven = 0;
}
if($_POST['action']=="editar")
{
	$dts = $oProducto->mostrarUno($_POST['pro_id']);
	$dt = mysqli_fetch_array($dts);
	$pro_cod = $dt['tb_producto_cod'];
	$pro_nom = $dt['tb_producto_nom'];
	$pro_codint = $dt['tb_producto_codint'];
	$cat_id	= $dt['tb_categoria_id'];
	$arttip_id	= $dt['tb_articulotipo_id'];
	$pro_id	= $dt['tb_producto_id'];
	$pro_des = $dt['tb_producto_des'];
	$pre_id	= $dt['tb_presentacion_id'];
	$emp_id	= $dt['tb_empaque_id'];
	$uni_id = $dt['tb_unidad_id'];	
	$ver_com = $dt['tb_catalogo_vercom'];
	$ver_ven = $dt['tb_catalogo_verven'];
	$catalogo_id = $dt['tb_catalogo_id'];
	$artest = $dt['tb_producto_est'];
	$pro_obs = $dt['tb_producto_obs'];
	$randes = $dt['tb_catalogo_ran'];
	$pro_lab = $dt['tb_marca_nom'];
	$pro_preven = $dt['tb_productomarca_preven'];
	$pro_prevenf = $dt['tb_productomarca_prevenf'];
	$pro_fecven = $dt['tb_productomarca_fecven'];
	$pro_codbar = $dt['tb_productomarca_codbar'];
	$pro_precos = $dt['tb_productomarca_precos'];
	$probonpre= $dt['tb_producto_bonpre'];
	
	mysqli_free_result($dts);
	
	
	//echo $emp_id;
	
}
?>
<style type="text/css">
.ui-autocomplete
{
    z-index: 99999; 
}
.range {
    display: table;
    position: relative;
    height: 25px;
    margin-top: 0px;
    background-color: rgb(245, 245, 245);
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    cursor: pointer;
}
.range input[type="range"] {
    -webkit-appearance: none !important;
    -moz-appearance: none !important;
    -ms-appearance: none !important;
    -o-appearance: none !important;
    appearance: none !important;
    display: table-cell;
    width: 100%;
    background-color: transparent;
    height: 25px;
    cursor: pointer;
}
.range input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none !important;
    -moz-appearance: none !important;
    -ms-appearance: none !important;
    -o-appearance: none !important;
    appearance: none !important;
    width: 11px;
    height: 25px;
    color: rgb(255, 255, 255);
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: 0px;
    background-color: rgb(153, 153, 153);
}
.range input[type="range"]::-moz-slider-thumb {
    -webkit-appearance: none !important;
    -moz-appearance: none !important;
    -ms-appearance: none !important;
    -o-appearance: none !important;
    appearance: none !important;
    
    width: 11px;
    height: 25px;
    color: rgb(255, 255, 255);
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: 0px;
    background-color: rgb(153, 153, 153);
}
.range output {
    display: table-cell;
    padding: 3px 5px 2px;
    min-width: 40px;
    color: rgb(255, 255, 255);
    background-color: rgb(153, 153, 153);
    text-align: center;
    text-decoration: none;
    border-radius: 4px;
    border-bottom-left-radius: 0;
    border-top-left-radius: 0;
    width: 1%;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    transition: all 0.5s ease;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: -moz-none;
    -o-user-select: none;
    user-select: none;
}
.range input[type="range"] {
    outline: none;
}
.range.range-danger input[type="range"]::-webkit-slider-thumb {
    background-color: rgb(217, 83, 79);
}
.range.range-danger input[type="range"]::-moz-slider-thumb {
    background-color: rgb(217, 83, 79);
}
.range.range-danger output {
    background-color: rgb(217, 83, 79);
}
.range.range-danger input[type="range"] {
    outline-color: rgb(217, 83, 79);
}
</style>
<script type="text/javascript" src="../../libreriasphp/textareaautosize/dist/jquery.textarea_autosize.js"></script>
		<div class="col-lg-12 col-md-12 col-12 " >
		<br />
				
					<div class="box-header">
					<h3 class="box-title"><strong>REGISTRO DEL PRODUCTO</strong></h3>
					</div>
						<?php //echo $arttip_id; ?>
				<div class="row" >
				
					<div class="col-lg-12 col-sm-12 col-12" >	
						
						<form enctype="multipart/form-data" title="Subir archivo" id="formularioarchivo_productoimagen"  >
								<input id="file_archivo_imagen" type="file" name="file_archivo_imagen" class="" >	
								<input name="hdd_cat_id_file" id="hdd_cat_id_file" type="hidden" value="<?php echo $catalogo_id; ?>">
						</form>	
						
						
						<div class="col-lg-12 col-sm-12 col-12" style="height:10px">	</div>
						
						<div id="div_carrusel_imagenes" class="col-lg-12 col-sm-12 col-12"  style="padding:5px;" >
							
					
						</div> 
						
						<div class="col-lg-12 col-sm-12 col-12" style="height:10px">	</div>
							
						</div>
					
					<div class="col-lg-12 col-sm-12 col-12" >
					
					<form id="for_pro" >
					
							<input type="hidden" name="action_pro" id="action_pro"  value="<?php echo  $_POST['action'] ?>">
						<input type="hidden" name="hdd_pro_id" id="hdd_pro_id"  value="<?php echo  $_POST['pro_id'] ?>">
						<input type="hidden" name="hdd_usu_id" id="hdd_usu_id"  value="<?php echo  $_SESSION['usuario_id'] ?>">
						<input type="hidden" name="hdd_pro_est" id="hdd_pro_est" value="<?php echo  $pro_est ?>">
						<input type="hidden" name="hdd_pre_id" id="hdd_pre_id" value="<?php echo  $pre_id ?>">
						<input type="hidden" name="hdd_pre_nom" id="hdd_pre_nom" value="<?php echo  $pre_nom ?>">
						<input type="hidden" name="hdd_pre_est" id="hdd_pre_est" value="<?php echo  $pre_est ?>">						
						<input type="hidden" name="hdd_cat_id" id="hdd_cat_id" value="<?php echo  $catalogo_id ?>">						
						<input type="hidden" name="hdd_cat_id_alter" id="hdd_cat_id_alter" value="<?php echo  $catalogo_id_alter ?>">						
							
				
						
									
									<div class="row" >
									
									
									<div class="col-lg-3 col-sm-3 col-6 d-none"  >
										<label for="txt_pro_cod">Cod. Pro.:</label>
										<input type="text" name="txt_pro_cod" autocomplete="off" id="txt_pro_cod" value="<?php echo htmlspecialchars($pro_cod);?>" class="form-control" > 						 
									</div> 
									
									<div class="col-lg-3 col-sm-3 col-6"  >
										<label for="txt_pro_codint">Cod. int.:</label>
										<input type="text" name="txt_pro_codint" autocomplete="off" id="txt_pro_codint" value="<?php echo htmlspecialchars($pro_codint);?>" class="form-control" > 						 
									</div> 
									
									<div class="col-lg-9 col-sm-9 col-6"  >
										<label for="txt_pro_nom">Producto:</label>
										<input type="text" name="txt_pro_nom" id="txt_pro_nom" value="<?php echo htmlspecialchars($pro_nom);?>" class="form-control" > 						 
									</div> 
									
									
									<div class="col-lg-6 col-sm-6 col-6"  >
										<label for="cmb_cat_id">Categoría:</label>
										<div class="input-group">
											<span class="input-group-btn">
												<button id="btn_cmb_cat_id" class="btn btn-danger" type="button"><i class="fa fa-plus"></i></button>
											</span>
											<select name="cmb_cat_id" id="cmb_cat_id" style="cursor:pointer;" style="font-size:2rem;" class="form-control"></select> 
										</div>
									</div>
									
									
									<div class="col-lg-6 col-sm-6 col-6"  >
										<label for="cmb_pre_id">Presentacion:</label>
										<div class="input-group">
											<span class="input-group-btn">
												<button id="btn_cmb_pre_id" class="btn btn-danger" type="button"><i class="fa fa-plus"></i></button>
											</span>
											<select name="cmb_pre_id" id="cmb_pre_id" style="cursor:pointer;" style="font-size:2rem;" class="form-control"></select> 
										</div>
									</div>
									
									
									<div class="col-lg-6 col-sm-6 col-6"  >
										<label for="cmb_emp_id">Empaque:</label>
										<div class="input-group">
											<span class="input-group-btn">
												<button id="btn_cmb_emp_id" class="btn btn-danger btn_cmb_emp_id" type="button"><i class="fa fa-plus"></i></button>
											</span>
											<select name="cmb_emp_id" id="cmb_emp_id" class="form-control"></select> 
										</div>
									</div>
									
									
									
									<div class="col-lg-6 col-sm-6 col-6"  >
										<label for="cmb_uni_id">Unidad:</label>
										<div class="input-group">
											<span class="input-group-btn">
												<button id="btn_cmb_uni_id" class="btn btn-danger btn_cmb_uni_id" type="button"><i class="fa fa-plus"></i></button>
											</span>
											<select name="cmb_uni_id" id="cmb_uni_id" class="form-control"></select> 
										</div>
									</div>
															
								<?php 
	if($_POST['action']=="insertar")
	{
	?>		

						<div class="col-lg-8 col-sm-12 col-6"  >
								<label for="txt_pro_mar">Laboratorio:</label>
								<div class="input-group">
											<span class="input-group-btn">
												<button id="btn_cmb_lab_id" onclick="marca_form_nuevo('insertar')" class="btn btn-danger" type="button"><i class="fa fa-plus"></i></button>
											</span>
											<input type="text" name="txt_pro_mar" autocomplete="off" id="txt_pro_mar" value="" class="form-control input-sm" > 			
											<input type="hidden" name="hdd_pro_marid" id="hdd_pro_marid" value=""> 		
								</div>
						</div>
	<?php }else{
		?>
		
		<div class="col-lg-8 col-sm-12 col-6" >
							<label for="txt_pro_mar">Laboratorio:</label>
							<input type="text" name="txt_pro_mar" autocomplete="off" id="txt_pro_mar"  readonly value="<?php echo $pro_lab;?>" class="form-control input-sm" > 								 	
						</div>	
		
		<?php 
	}?>	
						
						<div class=" col-lg-4 col-6 form-group">
						  <label>Fecha Ven.:</label>
						  <div class="input-group">
							<div class="input-group-prepend">
							  <span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
							</div>
							<input name="txt_pro_mar_fec" type="text" id="txt_pro_mar_fec"  class="form-control" 
							data-inputmask-alias="datetime" data-inputmask-inputformat="dd-mm-yyyy" value="<?php echo mostrarFecha($pro_fecven);?>" data-mask>
						  </div>
						</div>
		
						<div class="col-lg-3 col-sm-12 col-6 d-none " >
							<label for="txt_pro_mar_precos">P. Costo:</label>
							<input type="text" name="txt_pro_mar_precos" autocomplete="off" id="txt_pro_mar_precos" value="<?php echo formato_money($pro_precos);?>" class="form-control input-sm" > 								 	
						</div> 	
						
						<div class="col-lg-3 col-sm-12 col-6 d-none " >
							<label for="txt_pro_mar_preven">P. Venta:</label>
							<input type="text" name="txt_pro_mar_preven" autocomplete="off" id="txt_pro_mar_preven" value="<?php echo formato_money($pro_preven);?>" class="form-control input-sm" > 								 	
						</div>

						<div class="col-lg-3 col-sm-12 col-6 d-none " >
							<label for="txt_pro_mar_prevenf">P. Venta F.:</label>
							<input type="text" name="txt_pro_mar_prevenf" autocomplete="off" id="txt_pro_mar_prevenf" value="<?php echo formato_money($pro_prevenf);?>" class="form-control input-sm" > 								 	
						</div>						
						
						<div class="col-lg-3 col-sm-12 col-6" >
							<label for="txt_pro_mar_codbar">Cod Bar:</label>
							<input type="text" name="txt_pro_mar_codbar" autocomplete="off" id="txt_pro_mar_codbar" value="<?php echo $pro_codbar;?>" class="form-control input-sm" > 								 	
						</div> 											
								
									
						<div class="col-lg-3 col-sm-12 col-6" >
							<label for="txt_pro_bonpre">P. Bonificacion:</label>
							<input type="text" name="txt_pro_bonpre" autocomplete="off" id="txt_pro_bonpre" value="<?php echo $probonpre; ?>" class="form-control input-sm" > 								 	
						</div> 	

							
								<div class="col-lg-12 col-sm-12 col-6" style="padding:0px;display:none;">
 								<label for="txt_pro_des">SOBRE PRECIO MINIMO:</label>
         						 <div class="range range-danger">
         						   <input type="range" name="range" min="1" max="50" value="<?php echo $randes ;?>" onchange="rangeDangervd.value=value+' %';hdd_ventades.value=value ">
         						   <output id="rangeDangervd"><?php echo $randes ;?> %</output>
         						 </div>
         						 <input type="hidden" id="hdd_ventades" value="<?php echo $randes ;?>" name="hdd_ventades">
								</div>
						<!--
					        <div class="col-lg-12 col-sm-12 col-12" >
					 			<label for="txt_pro_des">Hasta:</label>
					          <div class="range range-danger">
					            <input type="range" name="range" min="1" max="50" value="<?php echo $ranhas ;?>" onchange="rangeDangervh.value=value+' %'; hdd_ventahas.value=value">
					            <output id="rangeDangervh"><?php echo $ranhas ;?> %</output>
					          </div>
					           <input type="hidden" id="hdd_ventahas" value="<?php echo $ranhas ;?>" name="hdd_ventahas">
					        </div>
								
							<div class="col-lg-12 col-sm-12 col-12" >
								<label for="txt_pro_fam">Familia:</label>
								<input type="text" name="txt_pro_fam" id="txt_pro_fam" value="" class="form-control" > 			
								<input type="hidden" name="hdd_pro_famid" id="hdd_pro_famid" value=""> 					 	
							</div> 	
									
							<div class="col-lg-12 col-sm-12 col-12" style="height:10px">	</div>
						
							<div class="col-lg-12 col-sm-12 col-12"  id="div_producto_familia_tabla">	
									
							</div>	
									-->	
									
							<div class="col-lg-12 col-sm-12 col-12"  >
										<label for="txt_pro_des">Principio/Accion:</label>
										<textarea name="txt_pro_des" id="txt_pro_des" rows="4" class="form-control"><?php echo $pro_des;?></textarea>						 
							</div> 




						
							</div> 				
			</form>	
	</div>
			</div>
<div class="col-lg-12 col-sm-12 col-12" style="height:10px">	</div>
		<div class="box-footer float-right">
			<button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>
			<button class="btn btn-primary " id="btn_producto_save">Guardar</button>
		</div>
	
	</div>
<script type="text/javascript" src="../cotizacion/NumberFormat.js"></script>
<script type="text/javascript">
function limpiarMarca(){
	$('#txt_pro_mar_precos').val('');
	$('#txt_pro_mar_preven').val('');
	$('#txt_pro_mar').val('');
	$('#pro_codbar').val('');
	$('#txt_pro_mar_codbar').val('');
	$('#txt_pro_mar').focus();
}
function limpiarFamilia(){
	$('#txt_pro_fam').val('');
	$('#hdd_pro_famid').val('');
	$('#txt_pro_fam').focus();
}
function limpiarTag(){
	$('#txt_tag').val('');
	$('#txt_tag').focus();
}

function cmb_cat_id(ids, focus){	
		$.ajax({
			type: "POST",
			url: "../categoria/cmb_cat_id.php",
			async:true,
			dataType: "html",                      
			data: ({
				cat_id: ids
			}),
			beforeSend: function() {
				$('#cmb_cat_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_cat_id').empty();
				$('#cmb_cat_id').html(html);
			}
		});
	}
	
function cmb_pre_id(ids, focus){	
		$.ajax({
			type: "POST",
			url: "../presentacion/cmb_pre_id.php",
			async:true,
			dataType: "html",                      
			data: ({
				pre_id: ids
			}),
			beforeSend: function() {
				$('#cmb_pre_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_pre_id').empty();
				$('#cmb_pre_id').html(html);
			}
		});
	}
	
function cmb_unidad(ids, focus){
	$.ajax({
		type: "POST",
		url: "../unidad/cmb_cat_uni_bas.php",
		async:true,
		dataType: "html",                      
		data: ({
			uni_id_tip: '1',
			uni_id:	ids,
			vista :'productos'
		}),
		beforeSend: function() {
			$('#cmb_uni_id').html('<option value="">Cargando...</option>');
		},
		success: function(html){
			$('#cmb_uni_id').html(html);
			if(focus) $('#cmb_uni_id').focus();
			var fac = $("#cmb_uni_id").find('option:selected').attr('data-unifac');
			if(fac){
				$('#txt_pro_fac').val(fac);
				$('#txt_prodet_fac').val(fac);
			}
		}
	});
}

	
	function verificar_codbar(cod_bar){
		$.ajax({
			type : "POST",
			url : "../producto/producto_reg.php",
			async : false,
			dataType : "json",
			data: ({
				action:'verificar_codbar',
				codbar: cod_bar,
				promar_id:''
			}),
			beforeSend: function(){
				toastr["warning"]('Verificando Existencia de Código de Barras...');
			},
			success: function(data){
				if(data.pro_est==1)
				{
					$('#txt_pro_mar_codbar').val('');
					toastr["error"](data.pro_msj);
				}
				else
				{					
					toastr["success"](data.pro_msj);
					//$("#txt_pro_mar_precos").focus(); 
				}
			}
		});
	}
	

function cmb_empaque(ids, focus){
	$.ajax({
		type: "POST",
		url: "../empaque/cmb_emp_id.php",
		async:true,
		dataType: "html",                      
		data: ({
			emp_id:	ids,
			vista :'productos'
		}),
		beforeSend: function() {
			$('#cmb_emp_id').html('<option value="">Cargando...</option>');
		},
		success: function(html){
			$('#cmb_emp_id').html(html);
		}
	});
}
	
	function categoria_form(act,idf){
		$('#div_categoria_form_dialog').modal();
		$.ajax({
			type: "POST",
			url: "../categoria/categoria_form.php",
			async:false,
			dataType: "html",                      
			data: ({
				action:act,
				cat_id:idf,
				vista:'producto',
				cat_nom:$('#cmb_cat_id').siblings('input').val()
			}),
			beforeSend:function(){
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('.div_categoria_form').html(div);
			},
			success:function(html){
				$('.div_categoria_form').html(html);
			}
		});
	}
	
	
	
	function empaque_form(act,idf){
		$('#div_empaque_form_dialog').modal();
		$.ajax({
			type: "POST",
			url: "../empaque/empaque_form.php",
			async:false,
			dataType: "html",                      
			data: ({
				action:act,
				emp_id:idf,
				vista:'producto',
				emp_nom:$('#cmb_emp_id').siblings('input').val()
			}),
			beforeSend:function(){
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('.div_empaque_form').html(div);
			},
			success:function(html){
				$('.div_empaque_form').html(html);
			}
		});
	}
	
	
	function presentacion_form(act,idf){
		$('#div_presentacion_form_dialog').modal();
		$.ajax({
			type: "POST",
			url: "../presentacion/presentacion_form.php",
			async:false,
			dataType: "html",                      
			data: ({
				action:act,
				pre_id:idf,
				vista:'producto',
				pre_nom:$('#cmb_pre_id').siblings('input').val()
			}),
			beforeSend:function(){
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('.div_presentacion_form').html(div);
			},
			success:function(html){
				$('.div_presentacion_form').html(html);
			}
		});
	}
	
	
	function marca_form_nuevo(act,idf){
		$('#div_marca_form_dialog').modal();
		$.ajax({
			type: "POST",
			url: "../marca/marca_form.php",
			async:false,
			dataType: "html",                      
			data: ({
				action:act,
				cat_id:idf,
				vista:'producto',
			}),
			beforeSend:function(){
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('.div_marca_form').html(div);
			},
			success:function(html){
				$('.div_marca_form').html(html);
			}
		});
	}
	
	function unidad_form(act,idf){
		
		$('#div_unidad_form_dialog').modal();
		
		$.ajax({
			type: "POST",
			url: "../unidad/unidad_form.php",
			async:false,
			dataType: "html",                      
			data: ({
				action: act,
				mar_id:	idf,
				vista:	'productos',
				mar_nom : $('#cmb_mar_id').siblings('input').val()
			}),
			beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('.div_unidad_form').html(div);
			},
			success: function(html){
				$('.div_unidad_form').html(html);
			}
		});
	}
$(function(){
	
	 $("#file_archivo_imagen").fileinput({
        browseClass: "btn btn-sm btn-success ",
		 browseLabel:"SUBIR IMAGEN AL CARRUSEL",
		 browseIcon: "",
         showPreview : false,
		showCaption: false,
        showRemove: false,
        showUpload: false
    });
    
    
    	$('#txt_pro_mar_fec').datepicker({
			format: 'dd-mm-yyyy',
			autoclose:true
		}).on('changeDate', function(e){
			//compra_tabla();
		}); 

	$('#txt_pro_nom').keydown(function(ev) {
			if(ev.keyCode==13){ return false;}
		});
	
	$('#txt_pro_mar').keydown(function(ev) {
			if(ev.keyCode==13){ return false;}
		});
		
		$('#txt_pro_mar_fec').keydown(function(ev) {
			if(ev.keyCode==13){$('#txt_pro_mar_precos').focus(); return false;}
		});
		
		$('#txt_pro_mar_precos').keydown(function(ev) {
			if(ev.keyCode==13){$('#txt_pro_mar_preven').focus(); return false;}
		});
		
		$('#txt_pro_mar_prevenf').keydown(function(ev) {
			if(ev.keyCode==13){$('#txt_pro_mar_preven').focus(); return false;}
		});
	
	$('#txt_pro_mar_preven').keydown(function(ev) {
			if(ev.keyCode==13){$('#txt_pro_mar_codbar').focus(); return false;}
		});
		
		$('#txt_pro_mar_codbar').keydown(function(ev) {
			if(ev.keyCode==13){ return false;}
		});
	
	$('#txt_pro_bonpre').keydown(function(ev) {
			if(ev.keyCode==13){ return false;}
		});
	
	$("#txt_pro_mar_codbar").change(function(){
			if($("#txt_pro_mar_codbar").val()!="")verificar_codbar($("#txt_pro_mar_codbar").val());
			return false;
	});
	
	
$('#btn_cmb_pre_id').click(function(){
	presentacion_form('insertar');
});	

$('#btn_cmb_emp_id').click(function(){
	empaque_form('insertar');
});	

$('#btn_cmb_cat_id').click(function(){
	categoria_form('insertar');
});

$('#btn_mar_id').click(function(){
	marca_form('insertar_productomarca');
});

$('.btn_cmb_uni_id').click(function(){
	unidad_form('insertar');
});

$("#btn_producto_save").click(function() {
	
    if($("#hdd_pro_marid").val()==""){
        toastr["error"]("Debes buscar y seleccionar un laboratorio.");
        $("#txt_pro_mar").focus();
    }else {
        $("#for_pro").submit();	
    }
	
	
	
	});
	
$('#for_pro').bootstrapValidator({
	      message: 'Valor no valido',
	      feedbackIcons: {
	      	valid: 'glyphicon glyphicon-ok',
	      	invalid: 'glyphicon glyphicon-remove',
	      	validating: 'glyphicon glyphicon-refresh'
	      },
	      fields: {	      	
	      	cmb_cat_id: {
	      		group: '.col-lg-6',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	}, txt_pro_nom: {
	          group: '.col-lg-12',
	          validators: {
	            notEmpty: {
	              message: 'Este campo es requerido'
	            }
	          }
	        },cmb_uni_id: {
	          group: '.col-lg-6',
	          validators: {
	            notEmpty: {
	              message: 'Este campo es requerido'
	            } 
	          }
	        }   
	      }
	  }).on('success.form.bv', function(e) {
	  
	  	$.ajax({
				type : "POST",
				url : "../producto/producto_reg.php",
				async : false,
				dataType : "json",
				data: $("#for_pro").serialize(),
				beforeSend: function(){
					
				},
				success: function(data){
					
					toastr["success"](data.pro_msj);
					
					if(data.pro_nom_focus==1){
						$("#txt_pro_nom" ).val('');
						$("#txt_pro_nom" ).focus();
					}else if(data.pro_msj!=""){
						
						$('.modal').modal('hide');
						$('.in').removeClass('modal-backdrop');		
					}								
				},
				complete: function(){
					producto_tabla();
				}
			});	  	
  });
 <?php 
if($_POST['action']=="insertar")
{
 ?> 
 
   $('#datemask').inputmask('dd-mm-yyyy', { 'placeholder': 'dd-mm-yyyy' });
   $('[data-mask]').inputmask();
   
	agregar_marca('restablecer');
	agregar_familia('restablecer');
	//agregar_tag('restablecer');
	producto_imagenes('');
	
	$("#file_archivo_imagen").change(function(){
	
	var file = $("#file_archivo_imagen")[0].files[0];
	var fileName = file.name;
	fileExtension = fileName.substring(fileName.lastIndexOf('.') + 1);
	
	fileExtension = fileExtension.toLowerCase();
	
	var formData2 = new FormData($("#formularioarchivo_productoimagen")[0]);
			
			
	if(fileExtension == "png" || fileExtension == "jpg" || fileExtension == "jpeg"){
		
		$.ajax({
		type: "POST",
		url: "../producto/subir_imagen_insertar.php",
		cache: false,
        contentType: false,
        processData: false,               
		data: formData2,
		beforeSend: function() {
			toastr["info"]('Subiendo imagen');
        },
		success: function(rpt){
			
		toastr["info"]('Imagen subida correctamente');
		
			
		},
		complete: function(){			
		producto_imagenes('');
		}
	});     
		
	}else{
		toastr["error"]('Seleccione un archivo PNG JPG JPEG ');
	}
});
  
<?php }
else if($_POST['action']=="editar")
{
	?>
	
	cmb_mar_id(<?php echo $catalogo_id ?>);
	productomarcacodigo_tabla(<?php echo $catalogo_id ?>);
	producto_imagenes(<?php echo $catalogo_id ?>);
	producto_familia_tabla();
	producto_tag_tabla();
	
$("#cmb_pro_marid").change(function(){
	$("#txt_promar_cod").focus(); 
	return false;
});
	$("#txt_promar_cod").keydown(function(e){
		if (e.keyCode == 13){ 
		
			agregar_codigo('agregarcodigo',$("#cmb_pro_marid").val(),$("#txt_promar_cod").val().toUpperCase(),'');
			$("#txt_promar_cod").val('');
			$("#cmb_pro_marid").focus();
		return false;}
	});
	
	$("#file_archivo_imagen").change(function(){
	
	var file = $("#file_archivo_imagen")[0].files[0];
	var fileName = file.name;
	fileExtension = fileName.substring(fileName.lastIndexOf('.') + 1);
	fileExtension = fileExtension.toLowerCase();
	
	var formData2 = new FormData($("#formularioarchivo_productoimagen")[0]);
			
			
	if(fileExtension == "png" || fileExtension == "jpg" || fileExtension == "jpeg"){
		
		$.ajax({
		type: "POST",
		url: "../producto/subir_imagen.php",
		cache: false,
        contentType: false,
        processData: false,               
		data: formData2,
		beforeSend: function() {
			toastr["info"]('Subiendo imagen');
        },
		success: function(rpt){
			
		toastr["info"]('Imagen subida correctamente');
		
			
		},
		complete: function(){			
		producto_imagenes(<?php echo $catalogo_id ?>);
		}
	});     
		
	}else{
			toastr["error"]('Seleccione un archivo PNG JPG JPEG ');
	}
});
	
<?php 
}
 ?>
  
	cmb_unidad(<?php echo $uni_id; ?>);		
	cmb_cat_id('<?php echo $cat_id ?>');
	cmb_pre_id('<?php echo $pre_id ?>');
	cmb_empaque('<?php echo $emp_id ?>');
	
$("#txt_pro_nom" ).autocomplete({
	minLength: 1,
	source: "../producto/producto_complete_nom.php",
	select: function() {
	}
});
$( "#txt_pro_mar" ).autocomplete({
			minLength: 1,
			source: "../marca/marca_complete_nom.php",
			select: function(event, ui){	
			$("#hdd_pro_marid").val(ui.item.id);							
			$("#txt_pro_mar_precos").focus();						
			
			//	verificar_duplicidad_compra()		
		}
	});
	
	$(".btn_agregar_marca").click(function(){
		
		
		if($('#txt_pro_mar_fec').val()==""){
			toastr["error"]('Debe ingresar una fecha de vencimiento.');
		}else{
		
		agregar_marca('agregar',$('#hdd_pro_marid').val(),$( "#txt_pro_mar").val(),$('#txt_pro_mar_precos').val(),$('#txt_pro_mar_preven').val(),$('#txt_pro_mar_fec').val(),$('#txt_pro_mar_codbar').val());
		}
		
	});
	
	
$( "#txt_pro_fam" ).autocomplete({
			minLength: 1,
			source: "../familia/familia_complete_nom.php",
			select: function(event, ui){	
			$("#hdd_pro_famid").val(ui.item.id);							
			agregar_familia('agregar',ui.item.id);
			//	verificar_duplicidad_compra()		
		}
	});
	
	
$("#txt_pro_mar").keydown(function(e){
		if (e.keyCode == 13){ 
			
			
			return false;
		}
	});
	
	
$("#txt_pro_cod,#txt_pro_codint").keydown(function(e){
		if (e.keyCode == 13){ 
			
			return false;
		}
	});	
	
	
$("#txt_tag").keydown(function(e){
		if (e.keyCode == 13){ 
			agregar_tag('agregar');
			return false;
		}
	});
	
$("#txt_pro_fam").keydown(function(e){
		if (e.keyCode == 13){ 
			
			
			return false;
		}
	});
	
	
$('#cmb_tip_tag').change(function()
{
	$("#txt_tag").focus();
});
$('#txt_pro_nom,#txt_fam_nom,#txt_fam_des, #txt_pro_des,#txt_pro_cod,#txt_pro_codint').change(function()
{
	$(this).val($(this).val().toUpperCase());
});
});
<?php 
	if($_POST['action']=="insertar")
	{
	?>
	function eliminar_imagen(nom)
		{
			if(confirm("Realmente desea eliminar?")){
			$.ajax({
				type: "POST",
				url: "../producto/producto_imagen_reg.php",
				async:true,
				dataType: "html",                      
				data: ({
					action:'eliminar_imagen',
					nom:nom
				}), 
				beforeSend: function() {
					$('#div_carrusel_imagenes').addClass("ui-state-disabled");
				},
				success: function(html){
					$('#div_carrusel_imagenes').html(html);
				},
				complete: function(){			
					$('#div_carrusel_imagenes').removeClass("ui-state-disabled");
					producto_imagenes('');
				}
			});     
		} 
		}
		
		
	function producto_imagenes(catid)
		{
			$.ajax({
				type: "POST",
				url: "../producto/producto_imagenes_car.php",
				async:true,
				dataType: "html",                      
				data: ({
					cat_id:catid
				}), 
				beforeSend: function() {
					
					$('#div_carrusel_imagenes').addClass("ui-state-disabled");
				},
				success: function(html){
					$('#div_carrusel_imagenes').html(html);
				},
				complete: function(){			
					$('#div_carrusel_imagenes').removeClass("ui-state-disabled");
					
				}
			});     
		}
	
	
	
function agregar_marca(act,id,mar,precos,preven,fecven,codbar)
{
	
	
	$.ajax({
		type: "POST",
		url: "../producto/agregar_marca.php",
		async:true,
		dataType: "json",                  
		data: ({
			action:	 act,
			pro_marid: id ,
			pro_mar: mar,
			pro_precos: precos,
			pro_preven: preven,
			pro_fecven: fecven,
			pro_codbar: codbar
			}),
		beforeSend: function() {
		},
		success: function(data){
			if(data.est==0){
				
			}else
			{	
				toastr["success"](data.msj);
			}
		},
		complete: function(data)
		{
			
				producto_marca_tabla();
				limpiarMarca();
					
		}
	});  
}
function agregar_familia(act,id,mar)
{
	$.ajax({
		type: "POST",
		url: "../producto/agregar_familia.php",
		async:true,
		dataType: "json",                  
		data: ({
			action:	 act,
			pro_famid: id ,
			pro_fam: mar || $('#txt_pro_fam').val()
			}),
		beforeSend: function() {
		},
		success: function(data){
			if(data.est==0){
				
			}else
			{	
				toastr["success"](data.msj);
			}
		},
		complete: function(data)
		{
				producto_familia_tabla();
				limpiarFamilia();
		}
	});  
}
function agregar_tag(act)
{
	$.ajax({
		type: "POST",
		url: "../producto/agregar_tags.php",
		async:true,
		dataType: "json",                  
		data: ({
			action:	 act,
			tagtip: $("#cmb_tip_tag").val(),
			tag : $("#txt_tag").val().toUpperCase()
			}),
		beforeSend: function() {
		},
		success: function(data){
			if(data.est==0){
				
			}else
			{	
				toastr["success"](data.msj);
			}
		},
		complete: function(data)
		{		limpiarTag();
				producto_tag_tabla();
				
		}
	});  
}
function producto_marca_tabla(act)
{
	$.ajax({
		type: "POST",
		url: "../producto/producto_marca_tabla_insertar.php",
		async:false,
		dataType: "html",                      
		data: ({
			action:	 act				
		}),
		beforeSend: function() {
			$('#div_producto_marca_tabla').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_producto_marca_tabla').html(html);
		},
		complete: function(){			
			$('#div_producto_marca_tabla').removeClass("ui-state-disabled");
		}
	});
}
function producto_familia_tabla(act)
{
	$.ajax({
		type: "POST",
		url: "../producto/producto_familia_tabla_insertar.php",
		async:false,
		dataType: "html",                      
		data: ({
			action:	 act				
		}),
		beforeSend: function() {
			$('#div_producto_familia_tabla').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_producto_familia_tabla').html(html);
		},
		complete: function(){			
			$('#div_producto_familia_tabla').removeClass("ui-state-disabled");
		}
	});
}
function producto_tag_tabla(act)
{
	$.ajax({
		type: "POST",
		url: "../producto/producto_tag_tabla_insertar.php",
		async:false,
		dataType: "html",                      
		data: ({
			action:	 act				
		}),
		beforeSend: function() {
			$('#div_producto_tag_tabla').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_producto_tag_tabla').html(html);
		},
		complete: function(){			
			$('#div_producto_tag_tabla').removeClass("ui-state-disabled");
		}
	});
}
function eliminar_marca_editar(marid)
{
	if(confirm("Realmente desea eliminar?")){
	$.ajax({
		type: "POST",
		url: "../producto/producto_reg.php",
		async:false,
		dataType: "json",                      
		data: ({
			action :'eliminar_codmarca',
			pro_marid : marid
		}),
		beforeSend: function() {
			
		},
		success: function(html){
			producto_marca_tabla();
		},
		complete: function(){			
			
		}
	});
	}
}	
function eliminar_marca(marid)
{
	if(confirm("Realmente desea eliminar?")){
	$.ajax({
		type: "POST",
		url: "../producto/agregar_marca.php",
		async:false,
		dataType: "html",                      
		data: ({
			action :'quitar',
			pro_marid : marid
		}),
		beforeSend: function() {
			
		},
		success: function(html){
			producto_marca_tabla();
		},
		complete: function(){			
			
		}
	});
	}
}	
function eliminar_familia(famid)
{
	if(confirm("Realmente desea eliminar?")){
	$.ajax({
		type: "POST",
		url: "../producto/agregar_familia.php",
		async:false,
		dataType: "html",                      
		data: ({
			action :'quitar',
			pro_famid : famid
		}),
		beforeSend: function() {
			
		},
		success: function(html){
			producto_familia_tabla();
		},
		complete: function(){			
			
		}
	});
}	
}
	<?php 
	}else if($_POST['action']=="editar")
	{
	?>
	
		
		function eliminar_imagen(url,id)
		{
			//alert(url + ' || '+id);
			if(confirm("Realmente desea eliminar?")){
			
			$.ajax({
				type: "POST",
				url: "../producto/producto_reg.php",
				async:true,
				dataType: "json",                      
				data: ({
					action:'eliminar_imagen',
					url_img:url,
					id_img:id
				}), 
				beforeSend: function() {
					
				},
				success: function(data){
					toastr["success"](data.msj);
				},
				complete: function(){			
					
					producto_imagenes('<?php echo $catalogo_id ?>');
				}
			});     
		}
		}
		
		
	
	
		function producto_imagenes(catid)
		{
			$.ajax({
				type: "POST",
				url: "../producto/producto_imagenes.php",
				async:true,
				dataType: "html",                      
				data: ({
					cat_id:catid
				}), 
				beforeSend: function() {
					
					$('#div_carrusel_imagenes').addClass("ui-state-disabled");
				},
				success: function(html){
					$('#div_carrusel_imagenes').html(html);
				},
				complete: function(){			
					$('#div_carrusel_imagenes').removeClass("ui-state-disabled");
					
				}
			});     
		}
	
function agregar_familia(act,id)
{
	$.ajax({
		type: "POST",
		url: "../producto/producto_reg.php",
		async:true,
		dataType: "json",                  
		data: ({
			action:	 'agregarfamilia',
			pro_famid: id ,
			cat_id : $("#hdd_cat_id").val()
			}),
		beforeSend: function() {
		},
		success: function(data){
			if(data.est==0){
				
			}else
			{	
				toastr["success"](data.msj);
			}
		},
		complete: function(data)
		{
				producto_familia_tabla();
				limpiarFamilia();
		}
	});  
}
	
	
	
	
	
function producto_familia_tabla(act)
{
	$.ajax({
		type: "POST",
		url: "../producto/producto_familia_tabla_editar.php",
		async:false,
		dataType: "html",                      
		data: ({
			action:	 act,
			cat_id : $("#hdd_cat_id").val()			
		}),
		beforeSend: function() {
			$('#div_producto_familia_tabla').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_producto_familia_tabla').html(html);
		},
		complete: function(){			
			$('#div_producto_familia_tabla').removeClass("ui-state-disabled");
		}
	});
}
function eliminar_familia(profamid)
{
	if(confirm("Realmente desea eliminar?")){
	$.ajax({
		type: "POST",
		url: "../producto/producto_reg.php",
		async:false,
		dataType: "html",                      
		data: ({
			action :'quitarfamilia',
			pro_famid : profamid
		}),
		beforeSend: function() {
			
		},
		success: function(html){
			producto_familia_tabla();
		},
		complete: function(){			
			
		}
	});
	}
}	
	
function agregar_tag(act)
{
	$.ajax({
		type: "POST",
		url: "../producto/producto_reg.php",
		async:true,
		dataType: "json",                  
		data: ({
			action:	 'agregartags',
			tagtip: $("#cmb_tip_tag").val(),
			tag : $("#txt_tag").val().toUpperCase(),
			cat_id : $("#hdd_cat_id").val()	
			}),
		beforeSend: function() {
		},
		success: function(data){
			if(data.est==0){
				
			}else
			{	
				toastr["success"](data.msj);
			}
		},
		complete: function(data)
		{		limpiarTag();
				producto_tag_tabla();
				
		}
	});  
}
	
	
function producto_tag_tabla(act)
{
	$.ajax({
		type: "POST",
		url: "../producto/producto_tag_tabla_editar.php",
		async:false,
		dataType: "html",                      
		data: ({
			action:	 act,
			cat_id : $("#hdd_cat_id").val()	
		}),
		beforeSend: function() {
			$('#div_producto_tag_tabla').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_producto_tag_tabla').html(html);
		},
		complete: function(){			
			$('#div_producto_tag_tabla').removeClass("ui-state-disabled");
		}
	});
}
	
	
	
function eliminar_tag(tip,protagid)
{
	
	//alert(tip +' - ' +protagid);
	if(confirm("Realmente desea eliminar?")){
	$.ajax({
		type: "POST",
		url: "../producto/producto_reg.php",
		async:false,
		dataType: "html",                      
		data: ({
			action :'quitartag',
			tagtip :tip,
			protagid : protagid
		}),
		beforeSend: function() {
			
		},
		success: function(html){
			producto_tag_tabla();
		},
		complete: function(){			
			
		}
	});
	}
}	
	
	
	function cmb_mar_id(ids){	
		$.ajax({
			type: "POST",
			url: "../marca/cmb_mar_x_cat.php",
			async:true,
			dataType: "html",                      
			data: ({
				cat_id: ids
			}),
			beforeSend: function() {
				$('#cmb_pro_marid').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_pro_marid').html(html);
			}
		});
	}
	
	
function productomarcacodigo_tabla(cat_id)
{
	$.ajax({
		type: "POST",
		url: "../producto/producto_form_codigo_tabla.php",
		async:true,
		dataType: "html", 
		data: ({
				cat_id:cat_id
		}) ,                   
		beforeSend: function() {
			
			$('#div_producto_marca_tabla').addClass("ui-state-disabled");
        },
		success: function(html){
			$('#div_producto_marca_tabla').html(html);
		},
		complete: function(){			
			$('#div_producto_marca_tabla').removeClass("ui-state-disabled");
		}
	});     
}
function agregar_codigo(act,promar_id,cod,promar_cod_id)
{
	$.ajax({
		type: "POST",
		url: "../producto/producto_reg.php",
		async:true,
		dataType: "json",                  
		data: ({
			action:	act,
			promar_id:promar_id,
			cod: cod ,
			promar_cod_id:promar_cod_id
			}),
		beforeSend: function() {
		},
		success: function(data){
			toastr["info"](data.msj);
		},
		complete: function(data)
		{
			productomarcacodigo_tabla(<?php echo $catalogo_id ?> );
		}
	});  
}	
	
	
function eliminar_codmarca(promar_cod_id)
{
	if(confirm("Realmente desea eliminar?")){
	$.ajax({
		type: "POST",
		url: "../producto/producto_reg.php",
		async:true,
		dataType: "json",                  
		data: ({
			action:	'eliminar_codmarca',
			promar_cod_id:promar_cod_id
			}),
		beforeSend: function() {
		},
		success: function(data){
			
		},
		complete: function(data)
		{
			productomarcacodigo_tabla(<?php echo $catalogo_id ?> );
		}
	});  
	}
}	
	
	
function actualizar_codmarca(promar_cod_id,cat_id)
{
	$.ajax({
		type: "POST",
		url: "../producto/producto_reg.php",
		async:true,
		dataType: "json",                  
		data: ({
			action:	'actualizar_codmarca',
			promar_cod_id:promar_cod_id,
			cat_id:cat_id
			}),
		beforeSend: function() {
		},
		success: function(data){
			
		},
		complete: function(data)
		{
			productomarcacodigo_tabla(<?php echo $catalogo_id ?> );
		}
	});  
}	
	
	
		
	function marca_form(act,promarid){
		
		$('#div_marca_form_dialog').modal();
		
		$.ajax({
			type: "POST",
			url: "../producto/marca_form.php",
			async:false,
			dataType: "html",                      
			data: ({
				action: act,
				cat_id:	'<?php echo $catalogo_id ?>',
				cate_id: '<?php echo $cat_id ?>',
				pro_id:	'<?php echo $_POST['pro_id'] ?>',
				pro_marid:	promarid
			}),
			beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('.div_marca_form').html(div);
			},
			success: function(html){
				$('.div_marca_form').html(html);
			}
		});
	}
	
<?php 
}
 ?>
	
</script>